Skip to main content

Delete OAuth Token

This request deletes an OAuth token, targeted by secure ID.

delete /oauth/tokens/{token_sid}

Sample​

A sample DELETE request to delete an OAuth token, targeted by secure ID:

curl -X DELETE \
'https://api.carrierx.com/core/v2/oauth/tokens/b3f45e4d-7d46-467b-9724-272f57ac420e' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response​

204 status code with an empty body.

note

The OAuth token that is used for the authorization of the current request cannot be deleted unless the force query argument is set to true.

Required Scopes​

To delete an OAuth Token object, the partner must have one of the following scopes enabled:

  • oauth.manage_all_tokens
  • oauth.manage
  • oauth.delete

Path Arguments​

ParameterData TypeDescription
token_sid requiredstringThe OAuth token secure ID.

Query Arguments​

ParameterData TypeDescription
forcebooleanForces the deletion of the OAuth token even if it is the current active token used for the authorization of the request. Values accepted in this field are true and false. The default value is false.